<?xml version="1.0"?>
<tryton>
    <data>
    <!--  Report  -->
         <record model="ir.action.report" id="report_appointment_report">
            <field name="name">Informe Estadístico de Citas de Equipo</field>
            <field name="report_name">gnuhealth.health.team.app.report</field>
            <field name="report">health_interdisc_team_fiuner/report/health_team_app_report.odt</field>
        </record>
        
        
    <!--  Health Team Appointments -->
        
        <record model="ir.ui.view" id="gnuhealth_health_team_appointment_view_form">
            <field name="model">gnuhealth.health.team.app</field>
            <field name="type">form</field>
            <field name="name">gnuhealth_health_team_appointment_form</field>
        </record>

        <record model="ir.ui.view" id="gnuhealth_health_team_appointment_tree">
            <field name="model">gnuhealth.health.team.app</field>
            <field name="type">tree</field>
            <field name="name">gnuhealth_health_team_appointment_tree</field>
        </record>

        <record model="ir.action.act_window" id="action_gnuhealth_health_team_appointment_view">
            <field name="name">Health Team Appointments</field>
            <field name="res_model">gnuhealth.health.team.app</field>
        </record>

        <record model="ir.action.act_window.view" id="act_gnuhealth_health_team_appointment_view_list">
            <field name="sequence" eval="10"/>
            <field name="view" ref="gnuhealth_health_team_appointment_tree"/>
            <field name="act_window" ref="action_gnuhealth_health_team_appointment_view"/>
        </record>
        <record model="ir.action.act_window.view" id="act_gnuhealth_health_team_appointment_view_form">
            <field name="sequence" eval="20"/>
            <field name="view" ref="gnuhealth_health_team_appointment_view_form"/>
            <field name="act_window" ref="action_gnuhealth_health_team_appointment_view"/>
        </record>

        <record model="ir.action.act_window.domain" id="act_gnuhealth_health_team_app_domain_confirmed_today">
            <field name="name">Confirmed Today</field>
            <field name="sequence" eval="10"/>
            <field name="domain" eval="[
                   ('state', '=', 'confirmed'),
                   ('appointment_date','>=',DateTime(hour=2,minute=59,second=59)),
                   ('appointment_date','&lt;',DateTime(hour=3,minute=0,second=0,delta_days=1)),
                   ]" pyson="1"/>
            <field name="act_window" ref="action_gnuhealth_health_team_appointment_view"/>
        </record>        
        <record model="ir.action.act_window.domain" id="act_gnuhealth_health_team_app_domain_confirmed">
            <field name="name">Confirmed</field>
            <field name="sequence" eval="20"/>
            <field name="domain" eval="[('state', '=', 'confirmed')]" pyson="1"/>
            <field name="act_window" ref="action_gnuhealth_health_team_appointment_view"/>
        </record>
        <record model="ir.action.act_window.domain" id="act_gnuhealth_health_team_app_domain_done">
            <field name="name">Done</field>
            <field name="sequence" eval="30"/>
            <field name="domain" eval="[('state', '=', 'done')]" pyson="1"/>
            <field name="act_window" ref="action_gnuhealth_health_team_appointment_view"/>
        </record>
        <record model="ir.action.act_window.domain" id="act_gnuhealth_health_team_app_domain_canceled">
            <field name="name">Canceled</field>
            <field name="sequence" eval="40"/>
            <field name="domain" eval="[('state', '=', 'center_canceled')]" pyson="1"/>
            <field name="act_window" ref="action_gnuhealth_health_team_appointment_view"/>
        </record>
        <record model="ir.action.act_window.domain" id="act_gnuhealth_health_team_app_domain_all">
            <field name="name">All</field>
            <field name="sequence" eval="50"/>
            <field name="domain"></field>
            <field name="act_window" ref="action_gnuhealth_health_team_appointment_view"/>
        </record>
        
        <menuitem name="Health Team Appointments" id="gnuhealth_health_team_appointment_menu"
            action="action_gnuhealth_health_team_appointment_view" 
            parent="health.gnuhealth_menu" sequence="25" />

<!-- Health Team Appointment HP -->
        <record model="ir.ui.view" id="gnuhealth_health_team_appointment_hp_view_form">
            <field name="model">gnuhealth.health.team.app.hp</field>
            <field name="type">form</field>
            <field name="name">gnuhealth_health_team_appointment_hp_form</field>
        </record>

        <record model="ir.ui.view" id="gnuhealth_health_team_appointment_hp_tree">
            <field name="model">gnuhealth.health.team.app.hp</field>
            <field name="type">tree</field>
            <field name="name">gnuhealth_health_team_appointment_hp_tree</field>
        </record>

        <record model="ir.action.act_window" id="action_gnuhealth_health_team_appointment_hp_view">
            <field name="name">Health Team Appointments</field>
            <field name="res_model">gnuhealth.health.team.app.hp</field>
        </record>

        <record model="ir.action.act_window.view" id="act_gnuhealth_health_team_appointment_hp_view_list">
            <field name="sequence" eval="10"/>
            <field name="view" ref="gnuhealth_health_team_appointment_hp_tree"/>
            <field name="act_window" ref="action_gnuhealth_health_team_appointment_hp_view"/>
        </record>
        <record model="ir.action.act_window.view" id="act_gnuhealth_health_team_appointment_hp_view_form">
            <field name="sequence" eval="20"/>
            <field name="view" ref="gnuhealth_health_team_appointment_hp_view_form"/>
            <field name="act_window" ref="action_gnuhealth_health_team_appointment_hp_view"/>
        </record>
        
<!-- Health Team Appointment Patient         -->
        
        <record model="ir.ui.view" id="gnuhealth_health_team_appointment_patient_view_form">
            <field name="model">gnuhealth.health.team.app.pat</field>
            <field name="type">form</field>
            <field name="name">gnuhealth_health_team_appointment_patient_form</field>
        </record>

        <record model="ir.ui.view" id="gnuhealth_health_team_appointment_patient_tree">
            <field name="model">gnuhealth.health.team.app.pat</field>
            <field name="type">tree</field>
            <field name="name">gnuhealth_health_team_appointment_patient_tree</field>
        </record>

        <record model="ir.action.act_window" id="action_gnuhealth_health_team_appointment_patient_view">
            <field name="name">Health Team Appointments</field>
            <field name="res_model">gnuhealth.health.team.app.pat</field>
        </record>

        <record model="ir.action.act_window.view" id="act_gnuhealth_health_team_appointment_patient_view_list">
            <field name="sequence" eval="10"/>
            <field name="view" ref="gnuhealth_health_team_appointment_patient_tree"/>
            <field name="act_window" ref="action_gnuhealth_health_team_appointment_patient_view"/>
        </record>
        <record model="ir.action.act_window.view" id="act_gnuhealth_health_team_appointment_patient_view_form">
            <field name="sequence" eval="20"/>
            <field name="view" ref="gnuhealth_health_team_appointment_patient_view_form"/>
            <field name="act_window" ref="action_gnuhealth_health_team_appointment_patient_view"/>
        </record>        
        
<!--Health Teams     -->
        
        <record model="ir.ui.view" id="gnuhealth_health_team_view_form">
            <field name="model">gnuhealth.health.team</field>
            <field name="type">form</field>
            <field name="name">gnuhealth_health_team_form</field>
        </record>

        <record model="ir.ui.view" id="gnuhealth_health_team_tree">
            <field name="model">gnuhealth.health.team</field>
            <field name="type">tree</field>
            <field name="name">gnuhealth_health_team_tree</field>
        </record>

        <record model="ir.action.act_window" id="action_gnuhealth_health_team_view">
            <field name="name">Health Team</field>
            <field name="res_model">gnuhealth.health.team</field>
        </record>

        <record model="ir.action.act_window.view" id="act_gnuhealth_health_team_view_list">
            <field name="sequence" eval="10"/>
            <field name="view" ref="gnuhealth_health_team_tree"/>
            <field name="act_window" ref="action_gnuhealth_health_team_view"/>
        </record>
        <record model="ir.action.act_window.view" id="act_gnuhealth_health_team_view_form">
            <field name="sequence" eval="20"/>
            <field name="view" ref="gnuhealth_health_team_view_form"/>
            <field name="act_window" ref="action_gnuhealth_health_team_view"/>
        </record>

        <menuitem name="Health Teams" id="gnuhealth_health_team_menu"
            action="action_gnuhealth_health_team_view" 
            parent="gnuhealth_health_team_appointment_menu" sequence="10" />
        
    </data>
</tryton>
